<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <script>
	function calc() {
    let a = document.getElementsByName("a");
    let b = document.getElementsByName("b");
    let result = document.getElementById("result");
    let re = /\D\./;
    if ((a[0].value.match(re) || b[0].value.match(re)) === null)
        result.innerHTML = ("Cтоимость вашего заказа: " + parseFloat(a[0].value, 10) * parseInt(b[0].value, 10));
    else result.innerHTML = "Ошибка! Неверный формат чисел";
	 alert(result.innerHTML);
    return false;
}

window.addEventListener('DOMContentLoaded', function (event) {
  console.log("DOM fully loaded and parsed");
  let d = document.getElementById("my-button");
  d.addEventListener("click", calc);
});
    </script>

    <form>
        <input type="text" name="a" placeholder="Введите стоимость">
        <input type="text" name="b" placeholder="Введите количество">
        <button id="button1" onclick="return calc();">Расчитать стоимость</button>
		
    </form>
    <div id="result"></div>
</body>

</html>
